GNU bug report logs - #10993
C-g does not dismiss popup menus on Windows

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: "Drew Adams" <drew.adams@HIDDEN>; Keywords: wontfix; merged with #7742; dated Sun, 11 Mar 2012 18:15:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Added tag(s) wontfix. Request was from npostavs@HIDDEN to control <at> debbugs.gnu.org. Full text available.
Changed bug title to 'C-g does not dismiss popup menus on Windows' from '24.0.94; `yes-or-no-p' inhibits `quit' handler in `condition-case'' Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <help-debbugs@HIDDEN> to internal_control <at> debbugs.gnu.org. Full text available.
bug closed, send any further explanations to 7742 <at> debbugs.gnu.org and "Drew Adams" <drew.adams@HIDDEN> Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 10993 <at> debbugs.gnu.org:


Received: (at 10993) by debbugs.gnu.org; 17 Sep 2012 00:09:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 16 20:09:38 2012
Received: from localhost ([127.0.0.1]:37875 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TDOu9-0006P0-TO
	for submit <at> debbugs.gnu.org; Sun, 16 Sep 2012 20:09:38 -0400
Received: from rcsinet15.oracle.com ([148.87.113.117]:45265)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <drew.adams@HIDDEN>) id 1TDOu8-0006Os-V4
	for 10993 <at> debbugs.gnu.org; Sun, 16 Sep 2012 20:09:37 -0400
Received: from ucsinet21.oracle.com (ucsinet21.oracle.com [156.151.31.93])
	by rcsinet15.oracle.com (Sentrion-MTA-4.2.2/Sentrion-MTA-4.2.2) with
	ESMTP id q8H08Otf009458
	(version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=OK)
	for <10993 <at> debbugs.gnu.org>; Mon, 17 Sep 2012 00:08:25 GMT
Received: from acsmt357.oracle.com (acsmt357.oracle.com [141.146.40.157])
	by ucsinet21.oracle.com (8.14.4+Sun/8.14.4) with ESMTP id
	q8H08N37024140
	(version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO)
	for <10993 <at> debbugs.gnu.org>; Mon, 17 Sep 2012 00:08:24 GMT
Received: from abhmt105.oracle.com (abhmt105.oracle.com [141.146.116.57])
	by acsmt357.oracle.com (8.12.11.20060308/8.12.11) with ESMTP id
	q8H08NF5016858
	for <10993 <at> debbugs.gnu.org>; Sun, 16 Sep 2012 19:08:23 -0500
Received: from dradamslap1 (/10.159.170.142)
	by default (Oracle Beehive Gateway v4.0)
	with ESMTP ; Sun, 16 Sep 2012 17:08:23 -0700
From: "Drew Adams" <drew.adams@HIDDEN>
To: <10993 <at> debbugs.gnu.org>
References: <7B7B9383BF8B4223A3B103DE9D615C84@HIDDEN>
Subject: RE: bug#10993: 24.0.94;
	`yes-or-no-p' inhibits `quit' handler in `condition-case'
Date: Sun, 16 Sep 2012 17:08:12 -0700
Message-ID: <03A15AC8D38E4614AC7C66D7DFEF5D3C@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain;
	charset="us-ascii"
Content-Transfer-Encoding: 7bit
X-Mailer: Microsoft Office Outlook 11
In-Reply-To: <7B7B9383BF8B4223A3B103DE9D615C84@HIDDEN>
Thread-Index: Acz/rppM/nzCiJcfR/eBWEnrkCEapiUueiig
X-MimeOLE: Produced By Microsoft MimeOLE V6.00.2900.6157
X-Source-IP: ucsinet21.oracle.com [156.151.31.93]
X-Spam-Score: -7.4 (-------)
X-Debbugs-Envelope-To: 10993
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -7.4 (-------)

ping





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#10993; Package emacs. Full text available.
Merged 7742 10993. Request was from Chong Yidong <cyd@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 11 Mar 2012 18:14:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Mar 11 14:14:36 2012
Received: from localhost ([127.0.0.1]:45273 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1S6nHw-0007Oo-2D
	for submit <at> debbugs.gnu.org; Sun, 11 Mar 2012 14:14:36 -0400
Received: from eggs.gnu.org ([208.118.235.92]:53664)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <drew.adams@HIDDEN>) id 1S6nHs-0007Og-TL
	for submit <at> debbugs.gnu.org; Sun, 11 Mar 2012 14:14:34 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <drew.adams@HIDDEN>) id 1S6mp3-0006gp-CD
	for submit <at> debbugs.gnu.org; Sun, 11 Mar 2012 13:44:46 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-6.9 required=5.0 tests=BAYES_00,RCVD_IN_DNSWL_HI,
	UNPARSEABLE_RELAY autolearn=unavailable version=3.3.2
Received: from lists.gnu.org ([208.118.235.17]:37457)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <drew.adams@HIDDEN>) id 1S6mp3-0006gd-9O
	for submit <at> debbugs.gnu.org; Sun, 11 Mar 2012 13:44:45 -0400
Received: from eggs.gnu.org ([208.118.235.92]:38506)
	by lists.gnu.org with esmtp (Exim 4.71)
	(envelope-from <drew.adams@HIDDEN>) id 1S6mp1-0001yD-GA
	for bug-gnu-emacs@HIDDEN; Sun, 11 Mar 2012 13:44:44 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <drew.adams@HIDDEN>) id 1S6moz-0006fy-JB
	for bug-gnu-emacs@HIDDEN; Sun, 11 Mar 2012 13:44:42 -0400
Received: from acsinet15.oracle.com ([141.146.126.227]:44873)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <drew.adams@HIDDEN>) id 1S6moz-0006fT-DB
	for bug-gnu-emacs@HIDDEN; Sun, 11 Mar 2012 13:44:41 -0400
Received: from ucsinet21.oracle.com (ucsinet21.oracle.com [156.151.31.93])
	by acsinet15.oracle.com (Sentrion-MTA-4.2.2/Sentrion-MTA-4.2.2) with
	ESMTP id q2BHiZfL008621
	(version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=OK)
	for <bug-gnu-emacs@HIDDEN>; Sun, 11 Mar 2012 17:44:36 GMT
Received: from acsmt358.oracle.com (acsmt358.oracle.com [141.146.40.158])
	by ucsinet21.oracle.com (8.14.4+Sun/8.14.4) with ESMTP id
	q2BHiYJf015811
	(version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO)
	for <bug-gnu-emacs@HIDDEN>; Sun, 11 Mar 2012 17:44:35 GMT
Received: from abhmt103.oracle.com (abhmt103.oracle.com [141.146.116.55])
	by acsmt358.oracle.com (8.12.11.20060308/8.12.11) with ESMTP id
	q2BHiYvJ030502
	for <bug-gnu-emacs@HIDDEN>; Sun, 11 Mar 2012 12:44:34 -0500
Received: from dradamslap1 (/10.159.40.129)
	by default (Oracle Beehive Gateway v4.0)
	with ESMTP ; Sun, 11 Mar 2012 10:44:34 -0700
From: "Drew Adams" <drew.adams@HIDDEN>
To: <bug-gnu-emacs@HIDDEN>
Subject: 24.0.94; `yes-or-no-p' inhibits `quit' handler in `condition-case'
Date: Sun, 11 Mar 2012 10:44:26 -0700
Message-ID: <7B7B9383BF8B4223A3B103DE9D615C84@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain;
	charset="us-ascii"
Content-Transfer-Encoding: 7bit
X-Mailer: Microsoft Office Outlook 11
Thread-Index: Acz/rppM/nzCiJcfR/eBWEnrkCEapg==
X-MimeOLE: Produced By Microsoft MimeOLE V6.00.2900.6157
X-Source-IP: ucsinet21.oracle.com [156.151.31.93]
X-CT-RefId: str=0001.0A090207.4F5CE485.0015,ss=1,re=0.000,fgs=0
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 1)
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 3)
X-Received-From: 208.118.235.17
X-Spam-Score: -6.9 (------)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.9 (------)

Suppose you had a command such as `do-XYZ', below.  It does XYZ, but if
ABC is unsaved it asks you if you want to save ABC first.
 
The command lets you answer `yes' to save ABC first, answer `no' to do
XYZ without saving ABC first, or hit `C-g' to cancel everything (XYZ).
 
A user might hit `C-g' if s?he wanted to first investigate something
about ABC, for instance.
 
emacs -Q
 
(setq ABC-not-saved  t)
 
(defun do-XYZ (arg)
  (interactive "e")
  (when (and ABC-not-saved
             (condition-case err
                 (yes-or-no-p
                  "Save ABC before doing XYZ? (`C-g': cancel) ")
               (quit  (error "OK, canceled"))
               (error (error (error-message-string err)))))
    ;; do ABC
    )
  ;; do XYZ
  )
 
(global-set-key [mouse-3] 'do-XYZ)
 
Such a command (without "e" for `interactive') works fine when bound to
a key.  When bound to a mouse action (e.g. menu command) a user cannot
use `C-g'.  That's the bug.  When `yes-or-no-p' is invoked using a menu,
so that it asks the user using a dialog box instead of the minibuffer,
the `quit' handler in the `condition-case' is inhibited.
 
In GNU Emacs 24.0.94.1 (i386-mingw-nt5.1.2600)
 of 2012-02-26 on MARVIN
Windowing system distributor `Microsoft Corp.', version 5.1.2600
Configured using:
 `configure --with-gcc (4.6) --no-opt --enable-checking --cflags
 -ID:/devel/emacs/libs/libXpm-3.5.8/include
 -ID:/devel/emacs/libs/libXpm-3.5.8/src
 -ID:/devel/emacs/libs/libpng-dev_1.4.3-1/include
 -ID:/devel/emacs/libs/zlib-dev_1.2.5-2/include
 -ID:/devel/emacs/libs/giflib-4.1.4-1/include
 -ID:/devel/emacs/libs/jpeg-6b-4/include
 -ID:/devel/emacs/libs/tiff-3.8.2-1/include
 -ID:/devel/emacs/libs/gnutls-3.0.9/include'
 





Acknowledgement sent to "Drew Adams" <drew.adams@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#10993; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sun, 9 Oct 2016 03:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.